>From 01d8211b2e7c38c728990982caa2f95eaf0cd498 Mon Sep 17 00:00:00 2001
From: Tadas Slotkus <devtadas@gmail.com>
Date: Wed, 17 Aug 2011 16:33:13 +0300
Subject: [carFl mem 21/21] Remove unused fd type from serial.c

We won't use serprog here.

Signed-off-by: Tadas Slotkus <devtadas@gmail.com>
---
 programmer.h |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

diff --git a/programmer.h b/programmer.h
index e94c13f..e3347b8 100644
--- a/programmer.h
+++ b/programmer.h
@@ -514,7 +514,6 @@ void serprog_chip_writeb(uint8_t val, chipaddr addr);
 uint8_t serprog_chip_readb(const chipaddr addr);
 void serprog_chip_readn(uint8_t *buf, const chipaddr addr, size_t len);
 void serprog_delay(int delay);
-#endif
 
 /* serial.c */
 #if _WIN32
@@ -531,5 +530,6 @@ extern fdtype sp_fd;
 int serialport_shutdown(void *data);
 int serialport_write(unsigned char *buf, unsigned int writecnt);
 int serialport_read(unsigned char *buf, unsigned int readcnt);
+#endif
 
 #endif				/* !__PROGRAMMER_H__ */
-- 
1.7.6

